<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_9f55fef472b741cb222ce450" . "3e90012a" => base64_decode("cHVi" . "X3Bh" . "Z2U="), "_1be4a86ec54058894c0dc8" . "eeb44bf65a" => base64_decode("Y29tbW9uLnR5cGUucHViX3B" . "hZ2Vz"), "_bdf46cfa1aba0af38c9a9fa98d" . "fd831b" => base64_decode("YXBwX3B1Ymxpc" . "2g="), "_0c5123aa744f69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1zZw=" . "="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_9f55fef472b741cb222ce4503e90" . "012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_1be4a86ec540" . "58894c0dc8eeb" . "44bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_bdf46cfa1aba0af38c9a9fa98dfd8" . "31b"];
    }
}